libzypp 17.37.10

Regex.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <regex.h>`
`#include <zypp-core/base/Exception.h>`

Go to the source code of this file.

## Classes
class | zypp::str::regex
| Regular expression. More...
class | zypp::str::smatch
| Regular expression match result. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | str
| String related utilities and Regular expression matching.
namespace | zypp::str
| String related utilities and Regular expression matching.

## Typedefs
using | zypp::str::regex_error = Exception

## Functions
bool | zypp::str::regex_match (const std::string &s, smatch &matches, const regex &regex)
| \relates regex \ingroup ZYPP_STR_REGEX \relates regex \ingroup ZYPP_STR_REGEX
bool | zypp::str::regex_match (const char *s, const regex &regex) ZYPP_API
| \relates regex \ingroup ZYPP_STR_REGEX \relates regex \ingroup ZYPP_STR_REGEX
bool | zypp::str::regex_match (const std::string &s, const regex &regex)
| \relates regex \ingroup ZYPP_STR_REGEX \relates regex \ingroup ZYPP_STR_REGEX
std::string | zypp::str::regex_substitute (const std::string &s, const regex &regex, const std::string &replacement, bool global=true) ZYPP_API
| Replaces the matched regex with the string passed in replacement.